%{?nodejs_find_provides_and_requires}

%global packagename ansi-font
%global enable_tests 0
# tests disabled due to missing test suite

Name:		nodejs-ansi-font
Version:	0.0.2
Release:	1%{?dist}
Summary:	ANSI font styling utils

License:	MIT
URL:		https://github.com/Gozala/ansi-font.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	http://jeditoolkit.com/LICENSE
# The 'package.json' file in this source code points to this license
# Upstream request to include the license with the source code at
# https://github.com/Gozala/ansi-font/issues/2

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
ANSI font styling utils


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
# nothing to do, no test suite

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.2-1
- Initial packaging
